NX Open C++ Reference Guide
|
This is the JA builder for static interference check <br> To create a new instance of this class, use @link Tooling::ValidCheckCollection::CreateValidCheckBuilder Tooling::ValidCheckCollection::CreateValidCheckBuilder @endlink <br>
Default values. More...
Public Types | |
enum | AnalysisMode { AnalysisModeSolidBased, AnalysisModeFacetBased } |
the analysis mode, including solid-based mode and facet-based mode More... | |
enum | CheckingType { CheckingTypeTrueBody, CheckingTypeFalseBody, CheckingTypeBoth } |
the checking type, including true body, false body or both More... | |
enum | SelMode { SelModeComponent, SelModeBody } |
the selection type, including component and solid body More... | |
Public Member Functions | |
NXOpen::Tooling::ValidCheckBuilder::AnalysisMode | AnalyMode () |
Returns the analysis mode Created in NX6.0.0. | |
bool | BlankBody () |
Returns the blank body, to specify if blanked bodies in a component needs to be searched Created in NX6.0.0. | |
NXOpen::Tooling::ValidCheckBuilder::CheckingType | CheckType () |
Returns the check type Created in NX6.0.0. | |
NXString | ClrSetName () |
Returns the clearance set name Created in NX6.0.0. | |
double | ClrZone () |
Returns the clearance zone Created in NX6.0.0. | |
NXOpen::SelectNXObjectList * | ObjSelectTarget () |
Returns the target object selection list Created in NX6.0.0. | |
NXOpen::SelectNXObjectList * | ObjSelectTool () |
Returns the tool object selection list Created in NX6.0.0. | |
NXOpen::Tooling::ValidCheckBuilder::SelMode | ObjSelectType () |
Returns the object selection type Created in NX6.0.0. | |
bool | ScrewCheck () |
Returns the screw check, to specify if screw check algorithm needs to be used Created in NX6.0.0. | |
NXString | SelectDatasetsName () |
Returns the box list selected sets name Created in NX6.0.0. | |
void | SetAnalyMode (NXOpen::Tooling::ValidCheckBuilder::AnalysisMode analyMode) |
Sets the analysis mode Created in NX6.0.0. | |
void | SetBlankBody (bool blankBody) |
Sets the blank body, to specify if blanked bodies in a component needs to be searched Created in NX6.0.0. | |
void | SetCheckType (NXOpen::Tooling::ValidCheckBuilder::CheckingType checkType) |
Sets the check type Created in NX6.0.0. | |
void | SetClrSetName (const NXString &clrSetName) |
Sets the clearance set name Created in NX6.0.0. | |
void | SetClrSetName (const char *clrSetName) |
Sets the clearance set name Created in NX6.0.0. | |
void | SetClrZone (double clrZone) |
Sets the clearance zone Created in NX6.0.0. | |
void | SetObjSelectType (NXOpen::Tooling::ValidCheckBuilder::SelMode objSelectType) |
Sets the object selection type Created in NX6.0.0. | |
void | SetScrewCheck (bool screwCheck) |
Sets the screw check, to specify if screw check algorithm needs to be used Created in NX6.0.0. | |
void | SetSelectDatasetsName (const NXString &selDataSetName) |
Sets the box list selected sets name Created in NX6.0.0. | |
void | SetSelectDatasetsName (const char *selDataSetName) |
Sets the box list selected sets name Created in NX6.0.0. | |
void | SetSubAssembly (bool subAssembly) |
Sets the sub-assembly, to specify if sub-assembly needs to be searched Created in NX6.0.0. | |
void | StdAddUserSets () |
Adds standard part into user defined set Created in NX6.0.0. | |
void | StdLoadFile () |
Loads standard attribute list Created in NX6.0.0. | |
bool | SubAssembly () |
Returns the sub-assembly, to specify if sub-assembly needs to be searched Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
This is the JA builder for static interference check <br> To create a new instance of this class, use @link Tooling::ValidCheckCollection::CreateValidCheckBuilder Tooling::ValidCheckCollection::CreateValidCheckBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AnalyMode |
SolidBased |
BlankBody |
0 |
CheckType |
TrueBody |
ClrZone |
0 |
ObjSelectType |
Component |
ScrewCheck |
0 |
SubAssembly |
0 |
Created in NX6.0.0.
the analysis mode, including solid-based mode and facet-based mode
AnalysisModeSolidBased |
Solid body will be used to do checking. |
AnalysisModeFacetBased |
Facet body will be used to do checking. |
NXOpen::Tooling::ValidCheckBuilder::AnalysisMode NXOpen::Tooling::ValidCheckBuilder::AnalyMode | ( | ) |
Returns the analysis mode
Created in NX6.0.0.
License requirements : None
bool NXOpen::Tooling::ValidCheckBuilder::BlankBody | ( | ) |
Returns the blank body, to specify if blanked bodies in a component needs to be searched
Created in NX6.0.0.
License requirements : None
NXOpen::Tooling::ValidCheckBuilder::CheckingType NXOpen::Tooling::ValidCheckBuilder::CheckType | ( | ) |
Returns the check type
Created in NX6.0.0.
License requirements : None
NXString NXOpen::Tooling::ValidCheckBuilder::ClrSetName | ( | ) |
Returns the clearance set name
Created in NX6.0.0.
License requirements : None
double NXOpen::Tooling::ValidCheckBuilder::ClrZone | ( | ) |
Returns the clearance zone
Created in NX6.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Tooling::ValidCheckBuilder::ObjSelectTarget | ( | ) |
Returns the target object selection list
Created in NX6.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Tooling::ValidCheckBuilder::ObjSelectTool | ( | ) |
Returns the tool object selection list
Created in NX6.0.0.
License requirements : None
NXOpen::Tooling::ValidCheckBuilder::SelMode NXOpen::Tooling::ValidCheckBuilder::ObjSelectType | ( | ) |
Returns the object selection type
Created in NX6.0.0.
License requirements : None
bool NXOpen::Tooling::ValidCheckBuilder::ScrewCheck | ( | ) |
Returns the screw check, to specify if screw check algorithm needs to be used
Created in NX6.0.0.
License requirements : None
NXString NXOpen::Tooling::ValidCheckBuilder::SelectDatasetsName | ( | ) |
Returns the box list selected sets name
Created in NX6.0.0.
License requirements : None
void NXOpen::Tooling::ValidCheckBuilder::SetAnalyMode | ( | NXOpen::Tooling::ValidCheckBuilder::AnalysisMode | analyMode | ) |
Sets the analysis mode
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
analyMode | Indicates analysis mode to do checking |
void NXOpen::Tooling::ValidCheckBuilder::SetBlankBody | ( | bool | blankBody | ) |
Sets the blank body, to specify if blanked bodies in a component needs to be searched
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
blankBody | Indicates if blanked body is included while doing checking |
void NXOpen::Tooling::ValidCheckBuilder::SetCheckType | ( | NXOpen::Tooling::ValidCheckBuilder::CheckingType | checkType | ) |
Sets the check type
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
checkType | Indicates checking type |
void NXOpen::Tooling::ValidCheckBuilder::SetClrSetName | ( | const NXString & | clrSetName | ) |
Sets the clearance set name
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
clrSetName | Specifies a user defined clearance set name |
void NXOpen::Tooling::ValidCheckBuilder::SetClrSetName | ( | const char * | clrSetName | ) |
Sets the clearance set name
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
clrSetName | Specifies a user defined clearance set name |
void NXOpen::Tooling::ValidCheckBuilder::SetClrZone | ( | double | clrZone | ) |
Sets the clearance zone
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
clrZone | Specifies clearance zone value |
void NXOpen::Tooling::ValidCheckBuilder::SetObjSelectType | ( | NXOpen::Tooling::ValidCheckBuilder::SelMode | objSelectType | ) |
Sets the object selection type
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
objSelectType | Indicates selection type |
void NXOpen::Tooling::ValidCheckBuilder::SetScrewCheck | ( | bool | screwCheck | ) |
Sets the screw check, to specify if screw check algorithm needs to be used
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
screwCheck | Indicates if screw checking algorithm is used while doing checking |
void NXOpen::Tooling::ValidCheckBuilder::SetSelectDatasetsName | ( | const NXString & | selDataSetName | ) |
Sets the box list selected sets name
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
selDataSetName | Specifies a user selected data set name |
void NXOpen::Tooling::ValidCheckBuilder::SetSelectDatasetsName | ( | const char * | selDataSetName | ) |
Sets the box list selected sets name
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
selDataSetName | Specifies a user selected data set name |
void NXOpen::Tooling::ValidCheckBuilder::SetSubAssembly | ( | bool | subAssembly | ) |
Sets the sub-assembly, to specify if sub-assembly needs to be searched
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
subAssembly | Indicates if sub-assembly is included while doing checking |
void NXOpen::Tooling::ValidCheckBuilder::StdAddUserSets | ( | ) |
Adds standard part into user defined set
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
void NXOpen::Tooling::ValidCheckBuilder::StdLoadFile | ( | ) |
Loads standard attribute list
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
bool NXOpen::Tooling::ValidCheckBuilder::SubAssembly | ( | ) |
Returns the sub-assembly, to specify if sub-assembly needs to be searched
Created in NX6.0.0.
License requirements : None